# 17/07/2019

__Moodle 3.7.1__

Le paramètre "description de la section" ne s'actualisait pas lorsqu'il était réglé dans les paramètres de la section sans passer par le mode édition et les paramètres classiques. 

# 23/05/2019

__MAJ en 3.7__

## Suivi des étudiants

### Tableau de suivi

Le téléchargement du tableau de suivi inclus les groupes même quand tout le tableau est téléchargé. Cette opération peut être longue (+ de 10 secondes), mais des mécanismes existent pour éviter que des responsables de groupes chargent la vue pour tous les groupes dans des cours volumineux (plusieurs centaines d'étudiants). 

Le texte explicatif du tableau à téléchargé est amélioré pour expliquer la notation (0, 1, 0.5 et 2). 

L'envoi de message à tous les étudiants sélectionné prend bien en compte le filtre et le groupe. 

### Message quand pas d'activité à suivre

Lorsqu'une section ne contient pas d'activité suivies, afficher un message au lieu de la liste des étudiants avec aucune activité en colonne et 0% pour chaque. Il indique qu'aucune activité n'est suivie pour cette section. Le message indiquant qu'aucun étudiant n'est retourné par les filtres ne peut apparaître que s'il y a des activités suivies. 

## Cron

### Paramètres

[x] Changement des jours de `"*/1" à "*"` pour envoyer tous les jours. 

### Notifications

Les messages ayant évolués en chat ou notifications, le cron est modifié pour envoyer des notifications. 

Cliquer sur le notification envoie directement vers la section du cours considérée. 

## Page du cours

### Description du cours

Le lien pour afficher l'entête ne s'affiche plus s'il n'y a pas de description du cours. Les descriptions vides type `<p><br></p>` que les WYSIWYG de MOODLE aiment bien faire ne s'affichent pas non plus. 

## Divers

Nettoyage du code. 

Suppression de paramètres de cours inutiles. 

---

# 12/02/19

## Entête du cours

Le style n'est plus inclus directement dans le PHP, mais placé dans le fichier styles.css global du plugin. 

## Entêtes de section

La taille des éléments de l'entête est modifiée pour qu'elle soit moins massive. 

Modification du label d'accès au suivi des étudiants lorsqu'un groupe a été sélectionné pour harmonier avec aucune sélection (suivi et suivi étudiants au profit de suivi étudiants). 

## Tableau de suivi

Si aucune donnée n'est disponible dans le tableau, alors un message l'indique au lieu de présenter un tableau vide. 

Sélectionner toute la liste ne sélectionne plus que les étudiants en effet affichés, au lieu de sélectionner également les étudiants qui n'y figurent pas à cause de l'application d'un filtre. Après avoir sélectionné tout, on ne peut pas changer de filtre et sélectionner tout pour le nouveau résultat du filtre appliqué, mais seulement désélectionner tout. Par exemple, il n'est pas possible de sélectionner tous < 25% puis tout > 75%. 

Lors de l'envoi d'un message à certains étudiants sélectionnés, le nombre d'étudiants concernés est affiché dans le titre. 

Lors de l'envoi d'un message à certains étudiants sélectionnés, si aucun destinataire n'a été sélectionné, un message l'indique et l'envoi est indisponible. Un bouton permet de revenir à la page précédente. 

Correction du fait que le filtre affichait >=0 au lieu de >0. 

---

# 08/01/2019

## Description des sections

La description des sections s'affiche si elle est renseignée même lorsqu'elle ne contient pas de balise HTML `<p>`. 

La description des sections s'affiche en mode édition de la même manière qu'en mode lecture, y compris avec la possibilité d'afficher / masquer la suite. 

Le lien pour afficher / masquer la suite est placé en dessous de la zone de description pour être plus visible et a des bords inférieurs arrondis pour ressembler à une petite "tirette". 

Le texte du lien pour afficher / masquer la suite lorsqu'elle est dépliée est remplacé de "Réduire" à "Réduire la description" pour en augmenter la largeur et donc cliquer dessus plus facilement pour replier. 

## Barre de progression

La barre de progression de l'étudiant sur la page de cours affiche un pourcentage de progression globale correct et précis à une décimale. 

Les ronds de couleur qui indiquent l'état d'achèvement des activité est modifiée pour prendre en compte les différents états d'achèvement possibles. Le orange n'est plus utilisé pour fonctionner avec les dates des sections. Etats et couleurs : 

- Pas fait : vert clair. 
- Fait (non noté) : vert foncé. 
- Fait et réussi (noté) : vert foncé. 
- Fait mais échoué (noté) : orange clair. 

Toute la barre de progression ne base ses informations que sur les activités qui ont un suivi d'achèvement. L'ancien système de suivi à paramétrer en parallèle du suivi d'achèvement n'est plus utilisé. 

La largeur des labels contenant le nom des sections est fixée à 300px afin que les ronds à droite soient toujours alignés. La largeur correspond à un nom de section de 5 mots environ. 

## Pourcentage de progression dans les entêtes de section

Le pourcentage de progression dans les entêtes de section est juste et ne peut pas afficher 99% quand tout est effectué. Il est calculé selon la même méthode que pour la barre de progression en haut de page. 

## Suivi (enseignant)

### Tableau de suivi (enseignant)

A présent, toutes les activités sous suivi d'achèvement apparaissent dans le tableau et seulement celles-ci. La sélection des activités à suivre n'existe plus car elle était un doublon du suivi d'achèvement natif de Moodle et avait une faible plus-value. Pour qu'une activité apparaisse il faut activer le suivi d'achèvement. 

Les activités cachées mais disponibles s'affichent forcément dans la barre de progression tant qu'elles sont sous suivi d'achèvement. Sur le principe, toute activité pour laquelle on a jugé bon d'activer le suivi d'achèvement est bien censée apparaître dans les tableau de suivi de l'étudiant et de l'enseignant. 

Le tableau est modifié en conséquence du changement de toutes les données et de leurs formes. Les informations présentes restent identiques. 

Les intitulés de colonnes (nom des activités) sont placés en biais afin d'avoir plus de place pour afficher un grand nombre d'activité. 

Le tableau peut défiler en largeur et en hauteur. Les entêtes sont toujours visibles à l'écran. 

Le tableau permet de voir le nom d'une activité au survol de la souris d'une case. 

Les cases sont colorées selon l'état d'achèvement selon les mêmes règles que pour le graphique de progression de l'étudiant sur la page du cours : 

- Pas fait : vert clair. 
- Fait (non noté) : vert foncé. 
- Fait et réussi (noté) : vert foncé. 
- Fait mais échoué (noté) : orange clair. 

La performance est améliorée, notamment lors de l'affichage d'un seul groupe (au lieu de tous les étudiants). 

La sélection d'étudiants en vue d'envoyer un message est préservée en utilisant le filtre de section et le filtre de pourcentage d'achèvement, mais pas le filtre de groupe. On peut donc appliquez différents filtres de section et de % d'achèvement en sélectionnant au fur et à mesure plusieurs étudiants puis leur envoyer un message. 

Le filtre sur le degré d'achèvement est plus précis. Il permet de sélectionner tous, = 100%, = 0%, < 25%, < 50%, < 100% et >= 50%, >= 25%, >= 0%. 

Le téléchargement du tableau est amélioré avec un pourcentage à deux décimales, des décimales localisées (virgule en français pour une meilleure ouverture du CSV sur les outils Microsoft) et un score différent en fonction du type d'achèvement pour plus d'information : 

- Pas fait : 0
- Fait (non noté) : 1
- Fait et réussi (noté) : 2
- Fait mais échoué (noté) : 0,5

Le tableau téléchargé contient les étudiants du groupe actuellement sélectionné et la section actuellement affichée. Il est possible de sélectionner tous les groupes et toutes les sections pour avoir un tableau complet. Ceci est indiqué via une aide sous le lien de téléchargement. Le filtre du pourcentage d'achèvement n'est pas appliqué. 

Les paramètres de filtre sont conservé au rechargement de la page et au changement de groupe. 

### Page du cours (étudiant)

Le score global de l'étudiant dans sa barre de progression est plus précis et ne devrait plus afficher 99% au lieu de 100% quand tout est complet ou autres problèmes similaires, tant que le nombre d'activité est inférieur à 1000. 

Le score détaillé de l'étudiant (barre de progression) est affiché plus large et aligné pour des raisons esthétiques et des bonne lecture des nombre de section. 

Le score détaillé de l'étudiant (barre de progression) et le score présent dans l'entête de chaque section comporte plus de sécurités quant à la présentation de chiffres erronés. L'ajout, suppression et modification des paramètres d'achèvement d'activité avant ou après achèvement est prise en compte. 

Le score présent dans l'entête de chaque section s'affiche dès que la section comporte des activités sous suivi d'achèvement, même si aucune n'est effectuée (score de 0%). 

